package com.gic.haoban.manage.api.dto.welcome;

import java.io.Serializable;
import java.util.List;

/**
 * desc：欢迎语详情dto
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class WelcomeDetailDTO implements Serializable {
    private static final long serialVersionUID = 3769230492381481354L;
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 0关闭 1开启
     */
    private Integer openFlag;
    /**
     * 适用部门, 以逗号分割
     */
    private String suitDepartment;
    /**
     * 欢迎语媒体列表
     */
    private List<WelcomeMediaDTO> welcomeMediaList;

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public String getSuitDepartment() {
        return suitDepartment;
    }

    public void setSuitDepartment(String suitDepartment) {
        this.suitDepartment = suitDepartment;
    }

    public List<WelcomeMediaDTO> getWelcomeMediaList() {
        return welcomeMediaList;
    }

    public void setWelcomeMediaList(List<WelcomeMediaDTO> welcomeMediaList) {
        this.welcomeMediaList = welcomeMediaList;
    }

    @Override
    public String toString() {
        return "WelcomeDetailDTO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", openFlag=" + openFlag +
                ", suitDepartment='" + suitDepartment + '\'' +
                ", welcomeMediaList=" + welcomeMediaList +
                '}';
    }
}
