package com.gic.haoban.manage.service.service.impl;

import com.gic.haoban.manage.service.dao.mapper.TabHaobanFriendSettingMapper;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanWelcomeMapper;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanWelcomeMediaMapper;
import com.gic.haoban.manage.service.entity.TabWelcome;
import com.gic.haoban.manage.service.pojo.bo.welcome.*;
import com.gic.haoban.manage.service.service.WelcomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * desc：欢迎语接口服务实现
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
@Service
public class WelcomeServiceImpl implements WelcomeService {

    @Autowired
    private TabHaobanWelcomeMapper welcomeMapper;
    @Autowired
    private TabHaobanWelcomeMediaMapper welcomeMediaMapper;
    @Autowired
    private TabHaobanFriendSettingMapper friendSettingMapper;

    private static final long WELCOME_LIMIT = 50;

    @Override
    public Boolean saveWelcome(SaveWelcomeBO bo) {
        // 校验欢迎语数量
        long count = welcomeMapper.countByWxEnterpriseId(bo.getWxEnterpriseId());
        if (count >= WELCOME_LIMIT) {
            return Boolean.FALSE;
        }
        // 构建实体类
        TabWelcome welcome = new TabWelcome();

        return null;
    }

    @Override
    public Boolean removeWelcome(Long welcomeId) {
        return null;
    }

    @Override
    public List<WelcomeListBO> listWelcome(String wxEnterpriseId) {
        return null;
    }

    @Override
    public WelcomeDetailBO getWelcome(Long welcomeId) {
        return null;
    }

    @Override
    public Boolean saveFriendSetting(SaveFriendSettingBO bo) {
        return null;
    }

    @Override
    public FriendSettingDetailBO getFriendSetting(String wxEnterpriseId) {
        return null;
    }

    @Override
    public WelcomeDetailBO getMatchWelcomeByDept(String staffId, String wxEnterpriseId) {
        return null;
    }
}
