package com.gic.haoban.manage.web.controller;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.api.dto.welcome.FriendSettingDTO;
import com.gic.haoban.manage.api.dto.welcome.WelcomeDetailDTO;
import com.gic.haoban.manage.api.dto.welcome.WelcomeListDTO;
import com.gic.haoban.manage.web.qo.welcome.ListWelcomeQO;
import com.gic.haoban.manage.web.qo.welcome.SaveFriendSettingQO;
import com.gic.haoban.manage.web.qo.welcome.SaveWelcomeQO;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * desc：欢迎语controller
 *
 * @author: YongEn
 * @date: 2022/2/8
 **/
@RestController
@RequestMapping("/welcome")
public class WelcomeController extends WebBaseController {

    @RequestMapping(value = "/save", method = RequestMethod.POST)
    public RestResponse<Boolean> saveWelcome(@RequestBody SaveWelcomeQO qo) {
        // 保存欢迎语
        return null;
    }

    @RequestMapping(value = "/remove", method = RequestMethod.GET)
    public RestResponse<Boolean> removeWelcome(@RequestParam("welcomeId") Long welcomeId) {
        // 删除欢迎语
        return null;
    }

    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public RestResponse<List<WelcomeListDTO>> listWelcome(@RequestBody ListWelcomeQO qo) {
        // 查询欢迎语列表
        return null;
    }

    @RequestMapping(value = "/get", method = RequestMethod.GET)
    public RestResponse<WelcomeDetailDTO> getWelcome(@RequestParam("welcomeId") Long welcomeId) {
        // 获取欢迎语
        return null;
    }

    @RequestMapping(value = "/save/friend-setting", method = RequestMethod.POST)
    public RestResponse<Boolean> saveFriendSetting(@RequestBody SaveFriendSettingQO qo) {
        // 保存加好友配置
        return null;
    }

    @RequestMapping(value = "/get/friend-setting", method = RequestMethod.GET)
    public RestResponse<FriendSettingDTO> getFriendSetting(@RequestParam("wxEnterpriseId") String wxEnterpriseId) {
        // 获取加好友配置
        return null;
    }

}
