package com.gic.haoban.manage.service.pojo.bo.welcome;

import java.util.Date;
import java.util.List;

/**
 * desc：欢迎语列表bo
 *
 * @author: YongEn
 * @date: 2022/2/8
 **/
public class WelcomeListBO {
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 0关闭 1开启
     */
    private Integer openFlag;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 适用部门, 以逗号分割
     */
    private String suitDepartment;
    /**
     * 适用员工, 以逗号分割
     */
    private String suitStaff;
    /**
     * 操作人id
     */
    private String operatorId;
    /**
     * 操作人名称
     */
    private String operatorName;
    /**
     * 欢迎语媒体列表
     */
    private List<WelcomeMediaBO> welcomeMediaList;

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public String getSuitDepartment() {
        return suitDepartment;
    }

    public void setSuitDepartment(String suitDepartment) {
        this.suitDepartment = suitDepartment;
    }

    public String getSuitStaff() {
        return suitStaff;
    }

    public void setSuitStaff(String suitStaff) {
        this.suitStaff = suitStaff;
    }

    public List<WelcomeMediaBO> getWelcomeMediaList() {
        return welcomeMediaList;
    }

    public void setWelcomeMediaList(List<WelcomeMediaBO> welcomeMediaList) {
        this.welcomeMediaList = welcomeMediaList;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    @Override
    public String toString() {
        return "WelcomeListBO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", openFlag=" + openFlag +
                ", updateTime=" + updateTime +
                ", suitDepartment='" + suitDepartment + '\'' +
                ", operatorId='" + operatorId + '\'' +
                ", operatorName='" + operatorName + '\'' +
                ", welcomeMediaList=" + welcomeMediaList +
                '}';
    }
}
