package com.gic.haoban.manage.service.pojo.bo.welcome;

/**
 * desc：欢迎语媒体bo
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class WelcomeMediaBO {
    /**
     * 欢迎语媒体id
     */
    private Long welcomeMediaId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 媒体标题
     */
    private String mediaTitle;
    /**
     * 媒体类型 1图片 2视频 3文件 4链接
     */
    private Integer mediaType;
    /**
     * 媒体文件路径,保存上传路径
     */
    private String mediaUrl;

    public Long getWelcomeMediaId() {
        return welcomeMediaId;
    }

    public void setWelcomeMediaId(Long welcomeMediaId) {
        this.welcomeMediaId = welcomeMediaId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getMediaTitle() {
        return mediaTitle;
    }

    public void setMediaTitle(String mediaTitle) {
        this.mediaTitle = mediaTitle;
    }

    public Integer getMediaType() {
        return mediaType;
    }

    public void setMediaType(Integer mediaType) {
        this.mediaType = mediaType;
    }

    public String getMediaUrl() {
        return mediaUrl;
    }

    public void setMediaUrl(String mediaUrl) {
        this.mediaUrl = mediaUrl;
    }

    @Override
    public String toString() {
        return "WelcomeMediaBO{" +
                "welcomeMediaId=" + welcomeMediaId +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", welcomeId='" + welcomeId + '\'' +
                ", mediaType=" + mediaType +
                ", mediaUrl='" + mediaUrl + '\'' +
                '}';
    }
}
