package com.gic.haoban.manage.web.qo.welcome;

import java.io.Serializable;
import java.util.List;

/**
 * desc：保存欢迎语qo
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class SaveWelcomeQO implements Serializable {
    private static final long serialVersionUID = -595985005842610284L;
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 适用部门, 以逗号分割
     */
    private String suitDepartment;
    /**
     * 适用员工, 以逗号分割
     */
    private String suitStaff;
    /**
     * 媒体列表
     */
    private List<SaveWelcomeMediaQO> mediaList;

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public String getSuitDepartment() {
        return suitDepartment;
    }

    public void setSuitDepartment(String suitDepartment) {
        this.suitDepartment = suitDepartment;
    }

    public String getSuitStaff() {
        return suitStaff;
    }

    public void setSuitStaff(String suitStaff) {
        this.suitStaff = suitStaff;
    }

    public List<SaveWelcomeMediaQO> getMediaList() {
        return mediaList;
    }

    public void setMediaList(List<SaveWelcomeMediaQO> mediaList) {
        this.mediaList = mediaList;
    }

    @Override
    public String toString() {
        return "SaveWelcomeQO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", suitDepartment='" + suitDepartment + '\'' +
                ", mediaList=" + mediaList +
                '}';
    }
}
